Next: Function and Variable Index, Previous: Error and warning messages, Up: Top [Contents][Index]

## 102 Command-line options

The following command line options are available for Maxima:

`-b <file>, --batch=<file>`

  Process maxima file <file> in batch mode.

`--batch-lisp=<file>`

  Process lisp file <file> in batch mode.

`--batch-string=<string>`

  Process maxima command(s) <string> in batch mode.

`-d, --directories`

  Display maxima internal directory information.

`--disable-readline`

  Disable readline support.

`-g, --enable-lisp-debugger`

  Enable underlying lisp debugger.

`-Q, --quit-on-error`

  Quit, and return an exit code 1, when Maxima encounters an error.

`-h, --help`

  Display this usage message.

`--userdir=<directory>`

  Use <directory> for user directory (default is %USERPROFILE%/maxima for Windows, and $HOME/.maxima for other operating systems).

`--init=<file>`

  Set the base name of the Maxima & Lisp initialization files (default is "maxima-init".) The last extension and any directory parts are removed to form the base name. The resulting files, <base>.mac and <base>.lisp are only searched for in userdir (see –userdir option). This may be specified for than once, but only the last is used.

`-l <lisp>, --lisp=<lisp>`

  Use lisp implementation <lisp>.

`--list-avail`

  List the installed version/lisp combinations.

`-p <file>, --preload=<file>, --preload-lisp=<file>, --init-mac=<file>, --init-lisp=<file>`

  Preload <file>, which may be any file time accepted by Maxima’s LOAD function. The <file> is loaded before any other system initialization is done. This will be searched for in the locations given by file_search_maxima and file_search_lisp. This can be specified multiple times to load multiple files. The equivalent options –preload-lisp, –init-mac, and –init-lisp are deprecated.

`-q, --quiet`

  Suppress Maxima start-up message.

`--very-quiet`

  Suppress expression labels, the Maxima start-up message, verification of the HTML index and `load`-ing related messages.

`--very-very-quiet`

  In addition to `--very-quiet`, set `ttyoff` to `true` to suppress most printed output.

`-r <string>, --run-string=<string>`

  Process maxima command(s) <string> in interactive mode.

`-s <port>, --server=<port>`

  Connect Maxima to server on <port>.

`--suppress-input-echo`

  Do not print input expressions when processing noninteractively.

`-u <version>, --use-version=<version>`

  Use maxima version <version>.

`-v, --verbose`

  Display lisp invocation in maxima wrapper script.

`--version`

  Display the default installed version.

`--very-quiet`

  Suppress expression labels and Maxima start-up message.

`-X <Lisp options>, --lisp-options=<Lisp options>`

  Options to be given to the underlying Lisp

`--no-init, --norc`

  Do not load the init file(s) on startup

`--no-verify-html-index`

  Do not verify on startup that the set of html topics is consistent with text topics.

Categories: Command-line Options ·

Next: Function and Variable Index, Previous: Error and warning messages, Up: Top [Contents][Index]